/**
 * 小程序
 * 党建资讯
 */

import * as partyInformationData from "../../../data/partyInformation";
import { eccFormParam } from "../../../util/verificationParam";
import * as eccFormParamConfig from "../../../config/eccFormParamConfig";
import * as verificationEnumTools from "../../../util/verificationEnum";
import * as configEnum from "../../../config/enum";


/**
 * 创建党建资讯
 * 小程序端 1.0
 * @param param 创建党建资讯表单
 * 表单参数说明查看config/eccFormParamConfig文件里的CreatePartyInformation配置
 * @return {isSuccess: true}
 */
export async function createPartyInformation(param) {
    /**校验表单参数 */
    eccFormParam("创建党建资讯", eccFormParamConfig.CreatePartyInformation, param)
    let partyInformation = await partyInformationData.createPartyInformation(param);
    verificationEnumTools.eccEnumValue('党建资讯类型', 'informationType', configEnum.INFORMATIONTYPE, param.informationType);

    await partyInformation.save();

    return {isSuccess: true};
}