/**
 * 拆分返回结果配置
 * 使用场景：逻辑层中需要返回数据给客户端的地方
 * 限制：使用端不同不能共用一份配置
 */


/**
 * 使用端:   小程序_党员入口
 * 场景:     首页党建资讯列表
 * 备注:     1.0
 */
export const partyInformationConfig = {
    pId:{key:"pId"},
    informationType:{key:"党建资讯类型"},
    title:{key:"资讯标题"},
    branchName:{key:"支部名称"},
    informationTime:{key:"资讯时间", changeDate:true},
    img: {key:"图片"}
};


/**
 * 使用端:   小程序_党员入口
 * 场景:     组织生活详细信息
 * 备注:     1.0
 */
export const activityInfoConfig = {
    title:{key:"党建活动类型"},
    partyActivityType:{key:"党建活动类型id"},
    activityStartTime:{key:"活动开始时间", changeDate:true},
    activityEndTime:{key:"活动结束时间", changeDate:true},
    activityAdd:{key:"活动地点"},
    activityHost: {key:"活动主持人"},
    activityNoteTaker:{key:"活动记录人"},
    leavePartyMember:{key:"请假党员"},
    participatingPartyMember:{key:"参与党员"},
    participationRecord:{key:"活动记录"},
    activityStatus:{key:"活动状态"}
}


/**
 * 使用端:   小程序_党员入口
 * 场景:     组织生活列表
 * 备注:     1.0
 */
export const moveAboutInfoConfig = {
    oId:{key:"oId"},
    partyActivityType:{key:"党建活动类型"},
    activityStartTime:{key:"活动时间", changeDate:true},
    activityEndTime:{key:"活动结束时间", changeDate:true},
    activityAdd:{key:"活动地点"},
    activityStatus:{key:"活动状态"}
}


/**
 * 使用端:   小程序_党员入口
 * 场景:     选择党员
 * 备注:     1.0  组织生活创建和修改选择党员
 */
 export const organizationallifeConfig = {
    id:{key:"id"},
    name:{key:"姓名"},
    entryType:{key:"名册录入类型"},
    partyPositions:{key:"党内职务"},
    color:{key:"颜色"},
}


/**
 * 使用端:   小程序_党员入口
 * 场景:     党员名称
 * 备注:     2.0  党建名册的党员名册
 */
export const partyMemberConfig = {
    id:{key:"id"},
    name:{key:"姓名"},
    entryType:{key:"名册录入类型"},
    partyPositions:{key:"党内职务"},
    partyStanding:{key: "党龄"},
    department:{key:"所属科室"},
    color:{key:"颜色"},
}


/**
 * 使用端:   小程序_党员入口
 * 场景:     党员详情
 * 备注:     2.0
 */
export const partyMemberDetailsConfig = {
    id:{key:"id"},
    entryType:{key:"名册录入类型"},
    name:{key:"姓名"},
    partyPositions:{key:"党内职务"},
    partyStanding:{key: "党龄"},
    department:{key:"所属科室"},
    study:{key:"学习情况"},
    sex:{key:"性别"},
    birthDate:{key:"出生年月", changeDate:true},
    phone:{key:"手机号码"},
    levelOfEducation:{key:"文化程度"},
    partyJoiningTime:{key:"入党时间", changeDate:true},
    administrativePosition:{key:"行政职务"},
    remarks:{key:"备注"},
    partyState:{key:"党员状态"},
    color:{key:"颜色"},
}


/**
 * 使用端:   小程序_党员入口
 * 场景:     党建先锋列表
 * 备注:     2.0
 */
 export const partyVanguardConfig = {
    pvId:{key:"党建先锋id"},
    honorType:{key:"荣誉类型"},
    honorLevel:{key:"荣誉级别"},
    honorName:{key:"荣誉名称"},
    modelType:{key:"模范类型"},
    grantingUnit:{key:"授予单位"},
    grantTime:{key:"授予时间"},
    honorsIntroduction:{key:"荣誉简介"},
    grantParty:{key:"授予党员"},
    grantReason:{key:"授予原因"},
}


/**
 * 使用端:   小程序_支部制度
 * 场景:     支部制度列表
 * 备注:     2.0
 */
 export const branchSystemConfig = {
    bId:{key:"支部制度id"},
    systemTitle:{key:"制度标题"},
}


/**
 * 使用端:   小程序_支部制度
 * 场景:     支部制度明细
 * 备注:     2.0
 */
export const branchSystemDetailsConfig = {
    bId:{key:"支部制度id"},
    systemTitle:{key:"制度标题"},
    periodOfValidity:{key:"制度有效期"},
    releaseTime:{key:"发布时间"},
    systemContent:{key:"制度内容"},
    branchName:{key:"支部名称"},
}

