/**
 * 小程序端 党员入口 支部制度
 */

 import * as branchSystemBiz from '../../biz/applet/partyMember/branchSystem';
 import * as asyncHandler from 'express-async-handler';
 import { eccReqParamater } from '../../util/verificationParam';
import { checkAppletToken } from '../../middleware/user';
 
 export function setRouter(httpServer) {
    httpServer.post('/partymember/branchsystem/list', checkAppletToken, asyncHandler(getBranchSystem));
    httpServer.post('/partymember/branchsystem/detsils', checkAppletToken, asyncHandler(getBranchSystemDetsils));
    httpServer.post('/partymember/branchsystem/create', checkAppletToken, asyncHandler(createBranchSystem));
 }
 

 /**
  * 支部制度 制度列表
  * @param req 
  * @param res 
  */
async function getBranchSystem(req, res) {
    let reqConf = {systemTitle:'String'};
    let {systemTitle} = eccReqParamater(reqConf, req.body, ["systemTitle"]);

    let branchidData = req.headers.branchid;
    let branchName = [];
    branchidData = branchidData.slice(1, branchidData.length-1);
    branchName = branchidData.split(',');

    let result = await branchSystemBiz.getBranchSystem(systemTitle, branchName);
    res.success(result);
}


/**
 * 支部制度 制度细则
 * @param req 
 * @param res 
 */
async function getBranchSystemDetsils(req, res) {
    let reqConf = {bId: 'Number'};
    let {bId} = eccReqParamater(reqConf, req.body);

    let result = await branchSystemBiz.getBranchSystemDetsils(bId);
    res.success(result);
}


/**
 * 支部制度 添加制度
 * @param req 
 * @param res 
 */
async function createBranchSystem(req, res) {
    let reqConf = {form:'Object'};
    let {form} = eccReqParamater(reqConf, req.body);

    let branchidData = req.headers.branchid;
    let branchName = [];
    branchidData = branchidData.slice(1, branchidData.length-1);
    branchName = branchidData.split(',');

    let result = await branchSystemBiz.createBranchSystem(branchName, form);
    res.success(result);
}