/**
 * 小程序端 党员入口 党员基础信息
 */

import * as partyMemberBiz from '../../biz/applet/partyMember/partyMember';
import * as asyncHandler from 'express-async-handler';
import { eccReqParamater } from '../../util/verificationParam';
import { checkAppletToken } from '../../middleware/user';
 
 export function setRouter(httpServer) {
    httpServer.post('/partymember/partymember/partymembername', checkAppletToken, asyncHandler(getPartyMemberName));
    httpServer.post('/partymember/partymember/create', checkAppletToken, asyncHandler(createPartyMenber));
    httpServer.post('/partymember/partymember/detsils', checkAppletToken, asyncHandler(partyDetsils));
    httpServer.post('/partymember/partymember/delete', checkAppletToken, asyncHandler(deletePartyMember));
 }
 

 /**
  * 党员名册
  * @param req 
  * @param res 
  */
async function getPartyMemberName(req, res) {
    let branchidData = req.headers.branchid;
    let branchName = [];
    branchidData = branchidData.slice(1, branchidData.length-1);
    branchName = branchidData.split(',');

    let result = await partyMemberBiz.getPartyMemberName(branchName);
    res.success(result);
}


/**
 * 创建党员
 * @param req 
 * @param res 
 */
 async function createPartyMenber(req, res) {
    let reqConf = {form: 'Object', entryType: 'Number'};
    let { form, entryType } = eccReqParamater(reqConf, req.body);

    let branchidData = req.headers.branchid;
    let branchName = [];
    branchidData = branchidData.slice(1, branchidData.length-1);
    branchName = branchidData.split(',');
    
    let result = await partyMemberBiz.createPartyMember(form, entryType, branchName);
    res.success(result);
}


/**
 * 党员详情
 * @param req 
 * @param res 
 */
async function partyDetsils(req, res) {
    let reqConf = {id: 'Number'};
    let {id} = eccReqParamater(reqConf, req.body);

    let result = await partyMemberBiz.partyMemberDetails(id);
    res.success(result);
}


/**
 * 删除党员信息
 * @param req 
 * @param res 
 */
async function deletePartyMember(req, res) {
    let reqConf = {id: 'Number'};
    let {id} = eccReqParamater(reqConf, req.body);

    let result = await partyMemberBiz.deletePartyMember(id);
    res.success(result);
}